#
# Copyright (c) 2011 Plex Development Team. All rights reserved.
# Modified by Cyrille Lefevre to make use of CustomVideoFiles
# Modified by Guillaume Boudreau to ignore folders containing .plexignore marker files
#
import Media, VideoFiles, CustomVideoFiles, CustomUtils

# Scans through files, and add to the media list.
def Scan(path, files, mediaList, subdirs, language=None, root=None):

  # Don't scan ignored subdirs
  CustomUtils.Ignore(subdirs)

  # Just look for video files.
  VideoFiles.Scan(path, files, mediaList, subdirs, root)

  # Add them all.
  for i in files:
    name, year = CustomVideoFiles.CleanName(os.path.basename(i))
    movie = Media.Movie(name, year)
    movie.parts.append(i)
    mediaList.append(movie)
